=== debian/changelog ===
ros-noetic-webots-ros (2023.0.0-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 29 Nov 2022 13:52:33 -0000
