=== debian/control ===
Source: ros-noetic-webots-ros
Section: misc
Priority: optional
Maintainer: Cyberbotics <support@cyberbotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-simple-controller-manager, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Homepage: http://wiki.ros.org/webots_ros
Standards-Version: 3.9.2

Package: ros-noetic-webots-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-simple-controller-manager, ros-noetic-robot-state-publisher, ros-noetic-ros-control, ros-noetic-ros-controllers, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: The ROS package containing examples for interfacing ROS with the standard ROS controller of Webots
